<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Imágenes</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section class='portada' data-bespoke-state='portada'>
      <h1>Imágenes</h1>
    </section>

    <section data-bespoke-state='pre-progress clean'>      
      <h2><span class="etiqueta">img</span></h2>
      <ul class="lista">
        <li>Coloca una imagen en la página</li>
        <li>No tiene cierre</li>
        <li>Elemento de línea</li>
        <li>Atributos obligatorios: 
          <ul>
            <li><span class="atributo">src</span>: con la url a la imagen</li>
            <li><span class="atributo">alt</span>: texto alternativo</li>
          </ul>          
        </li>
      </ul>
      <div class="float-left w-50">
        <pre><code><span class="etiqueta">img <span class="atributo">src</span><span class="valor">="img/imagen_correcta.jpg"</span>
  <span class="atributo">alt</span><span class="valor">="Imagen de prueba sin significado"</span></span></code></pre>
        <img src="https://picsum.photos/id/1025/400/225" alt="Imagen de prueba sin significado">

        <pre><code><span class="etiqueta">img <span class="atributo">src</span><span class="valor">="https://no.existe/imagen_inexistente.jpg"</span>
  <span class="atributo">alt</span><span class="valor">="Texto imagen que no existe"</span></span></code></pre>
        <img src="imagen_inexistente.jpg" alt="Texto imagen que no existe">
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Formatos</h2>
      <ul class="lista">
        <li>JPEG: buena compresión con pérdida, no permite transparencia</li>
        <li>PNG: compresión sin pérdida y permite transparencia (W3C)</li>
        <li>GIF: imagen con animacion y permite transparencia</li>
        <li>SVG: vectorial</li>
        <li>WEBP: nuevo formato mezcla de JPEG y PNG</li>
      </ul>
      <p class="importante">
        <a href="https://www.smartbugmedia.com/blog/image-file-formats">Comparativa</a>
      </p>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Atributo: <span class="atributo">alt</span></h2>
      <ul class="lista">
        <li>Se muestra si no se consigue cargar la imagen
          <ul>
            <li>Imagen eliminada o rehubicada</li>
            <li>Conexión lenta</li>
            <li>Usa un lector de pantalla</li>
          </ul>
        </li>
        <li>Aporta significado semántico a la imagen</li>
        <li>Permite hasta 1024 caracteres</li>
        <li>Útil para los motores de búsqueda y SEO</li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Atributo: <span class="atributo">alt</span></h2>
      <h3>Dependiendo de la finalidad de la imagen</h3>
      <ul class="lista">
        <li>Informativa: descripción general de la imagen</li>
        <li>Decorativa: valor "" (mejor por css)</li>
        <li>Enlace: descripción del enlace al que apunta</li>
        <li>Imagen de texto: el texto de la imagen</li>
        <li>Compleja: 
          <ul>
            <li>Indicar ubicación de la descripción completa</li>
            <li>Aportar enlace o descripción larga bajo la imagen</li>
            <li>Atributo <span class="atributo">longdesc</span> con url a la descripción</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Atributo: <span class="atributo">title</span></h2>
      <ul class="lista">
        <li>Se muestra si ponemos el ratón sobre la imagen</li>
        <li>Aporta información adicional</li>
        <li>No aporta importancia para el SEO</li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Atributos: <span class="atributo">height</span> y <span class="atributo">width</span></h2>
      <ul class="lista">
        <li>Señalan el tamaño que tendrá la imagen</li>
        <li>El navegador reserva el espacio antes de tener la imagen</li>
        <li>Mejor usar estilos</li>
      </ul>
      <div class="columnas-flex">
        <div class="columna-doble columna-centrada">
          <pre><code><span class="etiqueta">img <span class="atributo">src</span><span class="valor">="img/imagen_correcta.jpg"</span>
    <span class="atributo">alt</span><span class="valor">="Imagen de prueba sin significado"</span>
    <span class="atributo">height</span><span class="valor">="200"</span> <span class="atributo">width</span><span class="valor">="100"</span></span></code></pre>
        </div>
        <div>
          <img src="https://picsum.photos/id/1025/400/225" alt="Imagen de prueba sin significado" height="200" width="100">
        </div>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><a href="https://picsum.photos/">Picsum</a></h2>
      <ul class="lista">
        <li>cuadrada: https://picsum.photos/{tamaño}</li>
        <li>rectangular: https://picsum.photos/{ancho}/{alto}</li>
        <li>grises: https://picsum.photos/{ancho}/{alto}?grayscale</li>
        <li>borrosa: https://picsum.photos/{ancho}/{alto}?blur</li>
        <li>webp: https://picsum.photos/{ancho}/{alto}.webp</li>
      </ul>
      <img src="https://picsum.photos/600/150">
    </section>
    
    <section data-bespoke-state='pre-progress clean'>
      <h2>Banco de imágenes libres</h2>
      <ul class="lista">
          <li><a href="https://unsplash.com/" target="_blank">https://unsplash.com/</a></li>
          <li><a href="https://www.pexels.com" target="_blank">https://www.pexels.com</a></li>
          <li><a href="https://pixabay.com" target="_blank">https://pixabay.com</a></li>
          <li><a href="https://librestock.com/" target="_blank">https://librestock.com/</a></li>
      </ul>
    </section>

    <section class="no-print" data-bespoke-state='pre-progress clean'>
      <h2>Ejercicio</h2>
      <p>Crear una página de una receta que contendrá:</p>
      <ul class="lista">
        <li>Un título con el nombre de la receta</li>
        <li>Imagen del resultado final</li>
        <li>Lista de ingredientes</li>
        <li>Pasos de la receta (mínimo 4)</li>
        <li>Al menos una foto de algún paso</li>
        <li>Origen de la receta</li>
      </ul>
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio8/img/resultado.png?inline=false">Ejemplo</a>
      </p>
    </section>

    <section class="no-print" data-bespoke-state='pre-progress clean'>
      <h2>Ejercicio</h2>
      <p>Crear una galería de imágenes que contendrá:</p>
      <ul class="lista">
        <li>Al menos 4 imágenes pequeñas</li>
        <li>Al pulsar en cada imagen se abrirá la imagen ampliada</li>
      </ul>
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio9/img/resultado.png?inline=false">Ejemplo</a>
      </p>
    </section>
  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>